<header>
    <div *ngIf="movieDetails">
        <img 
            [src]="getPosterUrl()"
            [alt]="'Poster do filme ' + movieDetails.details.title"
        />
        <section>
            <h2>{{ movieDetails.details.title }}</h2>
            <dl>
                <dd *ngIf="release">{{ release.certification }}</dd>
                <dd *ngIf="releaseDate; else noReleaseDate">
                    {{ releaseDate  | date: 'dd/MM/yyyy' }}
                </dd> 
                <ng-template #noReleaseDate>
                    <dd>Sem data de lançamento</dd>
                </ng-template>

                <dd>{{ getGenres() }}</dd>
                <dd>{{ movieDetails.details.runtime | formatMinutesInHours }}</dd>
            </dl>
            <figure  
                [ngClass]="{
                    'medium': getAverage() < 60 && getAverage() >= 40,
                    'poor': getAverage() < 40
                }"
            >
                <div>
                    <mat-progress-spinner
                        [mode]="'determinate'"
                        [value]="getAverage() ">
                    </mat-progress-spinner>
                    <span>{{ getAverage() }}%</span>
                </div>
                <figcaption>Avaliação dos usuários</figcaption>
            </figure>
            <h5 *ngIf="movieDetails.details.overview">Sinopse</h5>
            <p>{{ movieDetails.details.overview }}</p>
            <section>
                <article *ngFor="let people of getCrew()">
                    <h6>{{ people.name }}</h6>
                    <span>{{ people.job }}</span>
                </article>
            </section> 
        </section>
        
     </div>   
    
</header>
